/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.cmp2.cacheinvalidation.ejb;

/**
 * @author <a href="mailto:alex@jboss.org">Alexey Loubyansky</a>
 * @version <tt>$Revision: 1.2.2.1 $</tt>
 */
public interface CLocal
   extends javax.ejb.EJBLocalObject
{
   public java.lang.Long getId();

   public java.lang.String getFirstName();

   public void setFirstName(java.lang.String firstName);

   public java.lang.String getLastName();

   public void setLastName(java.lang.String lastName);

   public ALocal getA();

   public void setA(ALocal a);
}
